Package fr.gouv.vitam.functional.administration.common.config

# Class DefaultCustomSearchCollectionConfiguration

java.lang.Object
fr.gouv.vitam.functional.administration.common.config.DefaultCustomSearchCollectionConfiguration

public class DefaultCustomSearchCollectionConfiguration extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultCustomSearchCollectionConfiguration()`
  `DefaultCustomSearchCollectionConfiguration(CollectionCustomSearchConfiguration unitFields, CollectionCustomSearchConfiguration objectgroupFields)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CollectionCustomSearchConfiguration`
  `getObjectgroupFields()`
  `CollectionCustomSearchConfiguration`
  `getUnitFields()`
  `DefaultCustomSearchCollectionConfiguration`
  `setObjectgroupFields(CollectionCustomSearchConfiguration objectgroupFields)`
  `DefaultCustomSearchCollectionConfiguration`
  `setUnitFields(CollectionCustomSearchConfiguration unitFields)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultCustomSearchCollectionConfiguration

    public DefaultCustomSearchCollectionConfiguration()

  - ### DefaultCustomSearchCollectionConfiguration

    public DefaultCustomSearchCollectionConfiguration(CollectionCustomSearchConfiguration unitFields, CollectionCustomSearchConfiguration objectgroupFields)

- ## Method Details

  - ### getUnitFields

    public CollectionCustomSearchConfiguration getUnitFields()

  - ### setUnitFields

    public DefaultCustomSearchCollectionConfiguration setUnitFields(CollectionCustomSearchConfiguration unitFields)

  - ### getObjectgroupFields

    public CollectionCustomSearchConfiguration getObjectgroupFields()

  - ### setObjectgroupFields

    public DefaultCustomSearchCollectionConfiguration setObjectgroupFields(CollectionCustomSearchConfiguration objectgroupFields)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`